<?php  
defined('C5_EXECUTE') or die(_("Access Denied."));
	class NalbertoFblikeBlockController extends BlockController {
		
		var $pobj;
		
		protected $btDescription = "Add a Facebook Like button to your pages to promote your site.";
		protected $btName = "Facebook Like";
		protected $btTable = 'btnalbertoFbLike';
		protected $btInterfaceWidth = "420";
		protected $btInterfaceHeight = "300";
		
		public $App_ID = "";
		public $show_faces = "";
		public $width = "";


		public function getBlockTypeDescription() {
			return t("Add a Facebook Like button to your pages to promote your site.");
		}
		
		public function getBlockTypeName() {
			return t("Facebook Like Button");
		}		
		
		public function getJavaScriptStrings() {
			return array(
				'fblike-api-key' => t('Please enter a valid Facebook API key.')
			);
		}
		
		function __construct($obj = null) {		
			parent::__construct($obj);	 
		}		
		
		public function add(){
			$db = Loader::db();		
			$q = 'SELECT App_ID FROM '.$this->btTable.' WHERE App_ID!=""';
			$this->set('App_ID',$db->getOne($q));
			$this->set('width', '600');
			$this->set('show_faces', 'True');
		}
		
		function view(){ 
			$this->set('bID', $this->bID);
      $this->set('App_ID', $this->App_ID);	
			$this->set('width', $this->width);
			$this->set('show_faces', $this->show_faces);
		
		}
		
		function save($data) { 
			$args['App_ID'] = isset($data['App_ID']) ? trim($data['App_ID']) : '';
			$args['width'] = isset($data['width']) ? trim($data['width']) : '';
			$args['show_faces'] = isset($data['show_faces']) ? trim($data['show_faces']) : '';
			
			parent::save($args);
		}
		
  }

	
?>
